%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%define mod_path scim-0.1
Name:       scim-python
Version:    0.1.4
Release:    3%{?dist}
Summary:    Python wrapper for Smart Common Input Method platform

License:    LGPLv2+
Group:      System Environment/Libraries
URL:        http://code.google.com/p/scim-python/
Source0:    http://scim-python.googlecode.com/files/%{name}-%{version}.tar.bz2
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  scim-devel, gettext-devel, libtool, python-devel, pygtk2-devel, perl(XML::Parser), python-enchant
Requires:   scim, pygtk2

%description
Python wrapper for Smart Common Input Method platform.

%package english
Summary:    Python english IM engine 
Group:      System Environment/Libraries
Requires:   %{name} = %{version}-%{release} python-enchant
 
%description english
This package contains a python english IM engine.

%prep
%setup -q

%build
%configure --disable-static
# make -C po update-gmo
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install
rm -f $RPM_BUILD_ROOT%{python_sitearch}/%{mod_path}/scim/_scim.la
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README TODO
%{python_sitearch}/%{mod_path}/
%{python_sitearch}/scim.pth
%{_libdir}/scim-1.0/1.4.0/IMEngine/scim-python-engine.so
%{_libdir}/scim-1.0/1.4.0/SetupUI/scim-python-setup.so
%dir %{_datadir}/scim-python/
%dir %{_datadir}/scim-python/engine
%{_datadir}/scim-python/engine/__init__.*
%dir %{_datadir}/scim-python/setupui
%{_datadir}/scim-python/setupui/__init__.*
%{_datadir}/scim/icons/*

%files english
%defattr(-,root,root,-)
%{_datadir}/scim-python/engine/EnglishWriter
%{_datadir}/scim-python/setupui/EnglishWriter

%changelog
* Wed Oct 17 2007 Huang Peng <shawn.p.huang@gmail.com> - 0.1.4-3
- Fix require error in spec file.

* Mon Oct 15 2007 Huang Peng <shawn.p.huang@gmail.com> - 0.1.4-2
- Split this rpm. Package EnglishWriter in scim-python-english.rpm.

* Tue Oct 09 2007 Huang Peng <shawn.p.huang@gmail.com> - 0.1.4-1
- Update to 0.1.4.

* Fri Sep 28 2007 Huang Peng <shawn.p.huang@gmail.com> - 0.1.3-2
- Fix date error in changlog of spec.

* Wed Sep 26 2007 Huang Peng <shawn.p.huang@gmail.com> - 0.1.3-1
- Update to 0.1.3.

* Wed Sep 26 2007 Huang Peng <shawn.p.huang@gmail.com> - 0.1.2-3
- Fix build warning.
- Fix rpmlint checking warning.
- Fix build failed in x86_64 platform.

* Wed Sep 26 2007 Huang Peng <shawn.p.huang@gmail.com> - 0.1.2-2
- Change files: add %%dir %%{_datadir}/scim-python
- Fix build failed in x86_64 platform.

* Wed Sep 26 2007 Huang Peng <shawn.p.huang@gmail.com> - 0.1.2-1
- Update to 0.1.2

* Mon Sep 24 2007 Huang Peng <shawn.p.huang@gmail.com> - 0.0.2-1
- Update to 0.0.2

* Mon Sep 17 2007 Huang Peng <shawn.p.huang@gmail.com> - 0.0.1-1
- Init version
